
package rs232Auswertung;

import javax.comm.*;

public class AuswerteThread extends Thread
{
    private SerialInterface rs232 = null;
    private boolean quit = false;
    
    public AuswerteThread(String com) throws Exception
    {
        rs232 = new SerialInterface(com);
        rs232.open();
        rs232.setSerialPortParams(
                9600, 
                SerialPort.DATABITS_8, 
                SerialPort.STOPBITS_1, 
                SerialPort.PARITY_NONE);
        
        start();
    }

    public void setQuit()
    {
        quit = true;
    }

    public void run()
    {
        while(!quit)
        {
            try
            {                
                rs232.write("D");
                System.out.println(rs232.readLine());
                sleep(1000);
            }
            catch (Exception e)
            {
                System.out.println("Exception in Auswerte-Thread");
            }
        }
        rs232.close();
    }
    
    public static void main(String[] args)
    {
        try
        {
            new AuswerteThread("COM1");
        }
        catch (Exception e)
        {
            System.out.println(e.getMessage());
        }
    }
}
